package request


type AlibabaWdkorderSharestockFulfillGetRequest struct {
    /*
        履约单ID     */
    FulfillOrderId  *string `json:"fulfill_order_id" required:"true" `
}

func (s *AlibabaWdkorderSharestockFulfillGetRequest) SetFulfillOrderId(v string) *AlibabaWdkorderSharestockFulfillGetRequest {
    s.FulfillOrderId = &v
    return s
}

func (req *AlibabaWdkorderSharestockFulfillGetRequest) ToMap() map[string]interface{} {
    paramMap := make(map[string]interface{})
    if(req.FulfillOrderId != nil) {
        paramMap["fulfill_order_id"] = *req.FulfillOrderId
    }
    return paramMap
}

func (req *AlibabaWdkorderSharestockFulfillGetRequest) ToFileMap() map[string]interface{} {
    fileMap := make(map[string]interface{})
    return fileMap
}